Hinweis
Wenn bei der Einrichtung deines Bank-Zugangs (PIN/TAN, Chipkarte, Schlüsseldatei) Fehler auftreten, lege bitte keinen Bug-Report an. In aller Regel ist die Ursache kein Bug in Hibiscus sondern ein Fehler in der Konfiguration des Bank-Zugangs. Im Wiki findest du Anleitungen zu Kartenlesern und getesteten Banken. Im onlinebanking-forum.de findest du ebenfalls hilfreiche Tipps.
Bug 789 - PDF-Kontoauszug: Saldo optional
Summary: PDF-Kontoauszug: Saldo optional
Status: RESOLVED FIXED
Alias: None
Product: Hibiscus
Classification: Unclassified
Component: GUI (show other bugs)
Version: unspecified
Hardware: All All
: P2 enhancement
Assignee: Olaf Willuhn
URL:
Depends on:
Blocks:
 
Reported: 2009-11-20 10:32 CET by Stefan Bertels
Modified: 2013-08-04 23:19 CEST (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Bertels 2009-11-20 10:32:00 CET
Es wäre schön, wenn man den PDF-Export etwas konfigurieren könnte. Konkret suche ich eigentlich nur eine Möglichkeit, die Spalte "Saldo" auszublenden. Diese macht nämlich nur eingeschränkt Sinn, wenn man nur einige Positionen zwecks Export/Ausdruck selektiert. Außerdem will man in Einzelfällen (Nachweis einer Menge von Zahlungseingängen/Überweisungen) ggf. den Saldo nicht weitergeben.

Variante 1 wäre, dass man die Spalten an/abhakt, die man haben möchte.
Variante 2 wäre, dass einfach eine zweite Export-Variante ("PDF ohne Saldo") angeboten wird oder bei der Auswahl von Einzelpositionen immer auf die Spalte "Saldo" verzichtet wird.
Comment 1 Olaf Willuhn 2009-11-20 12:32:41 CET
Markiere ich mal als Wontfix, weil ich das eigentlich nicht fuer sinnvoll halte. Das wuerde Hibiscus aus meiner Sicht definitiv "ueberkonfigurierbar" machen.

Ich meine, die Spalte "Saldo" stoert ja nicht wirklich - man kann sie ja ignorieren. Und wenn der Saldo tatsaechlich aus Datenschutzgruenden nicht enthalten sein soll (weil man die Informationen weitergeben will) koennte man als Workaround auch den HTML-Export verwenden. In plugins/hibiscus/lib/velocity/de.willuhn.jameica.hbci.rmi.Umsatz.html.vm findet sich das zugehoerige Template, welches frei anpassbar ist.
Comment 2 Stefan Bertels 2009-11-23 10:58:51 CET
Das User-.plugins-Verzeichnis ist bei mir leer. Kann man die angepasste Vorlage dort irgendwo anlegen? Dateien im Programme-Verzeichnis würden ja beim nächsten Update überschrieben.
Comment 3 Olaf Willuhn 2009-11-23 11:29:38 CET
> Das User-.plugins-Verzeichnis ist bei mir leer. 

Ich meinte das Programmverzeichnis.

> Kann man die angepasste Vorlage dort irgendwo anlegen?

Nein.

> Dateien im Programme-Verzeichnis würden ja beim nächsten
> Update überschrieben.

Korrekt. Da muesstest du halt aufpassen und die veraenderten
Dateien vorher sichern.
Comment 4 Olaf Willuhn 2013-08-04 23:19:34 CEST
Habs jetzt doch noch eingebaut. Verfuegbar im Nightly-Build ab morgen. Exportiert man Umsaetze, wird eine zusaetzliche Option <Spalte "Saldo" in Export ausblenden> angezeigt. Aktiviert man die, erscheint der Saldo nicht in dem CSV-, HTML- oder PDF-Export. Das gilt nur fuer den Export, nicht fuer den Druck. Da es bei letzterem keinen Dialog gibt, in dem man diese Option unterbringen koennte.